Configure Envoy Gateway Controller¶
The configuration of the Envoy Gateway Controller is a two-part process that comprises enablement of the product and verification of its successful installation.
Enable Envoy Gateway Controller¶
You can enable the Envoy Gateway Controller through the MKE configuration file or by way of the MKE web UI.
To enable Envoy Gateway Controller using the MKE configuration file:
Download the MKE configuration file:
curl --silent --insecure -H "Authorization: Bearer $AUTHTOKEN" \ https://$MKE_HOST/api/ucp/config-toml > mke-config.toml
Set the
enabledparameter totruein thecluster_config.gateway_controllersection of the MKE configuration file:[cluster_config.gateway_controller] enabled = true
Optional. Set the number of control plane repicas in the
cluster_config.gateway_controller.gateway_num_replicasparameter of the MKE configuration file, which by default is set to1.Optional. Schedule the Envoy Gateway Controller on nodes with matching taints, such as manager nodes, in the
cluster_config.gateway_controller.gateway_node_tolerationparameter of the MKE configuration file.Apply the edited MKE configuration file:
curl --silent --insecure -X PUT -H "accept: application/toml" \ -H "Authorization: Bearer $AUTHTOKEN" \ --upload-file 'mke-config.toml' \ https://$MKE_HOST/api/ucp/config-toml
To enable Envoy Gateway Controller through the MKE web UI
Navigate to Admin Settings > Gateway.
Enable Gateway Controller.
Click Save.
Verify the installation¶
Run the following CLI command sequence to verify the installation:
kubectl get pods -n envoy-gateway-system
kubectl get svc -n envoy-gateway-system
kubectl get gatewayclass mke-gateway-ingress -o wide
If the installation completed successfully:
envoy-gateway-controllerpods will be in Running state.envoy-gatewayService (ClusterIP) will expose the xDS port (default 18000 internal)mke-gateway-ingressGatewayClass will present with Accepted: True and will not be stuck on Waiting for controller.